Bug 114571 - Anaconda throws exception while kickstart installation via PXE
Anaconda throws exception while kickstart installation via PXE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-01-29 12:22 EST by Sven Paas
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-30 11:10:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anacdump.txt (50.06 KB, text/plain)
2004-01-30 02:57 EST, Sven Paas
no flags Details

  None (edit)
Description Sven Paas 2004-01-29 12:22:59 EST
Description of problem:

We install our DELL2650 servers using kickstart
via PXE. The installation kernel booted via PXE from 
network is images/pxeboot/vmlinuz with 
images/pxeboot/initrd.img from the original RH9 
linux CD #1. 

The network kernel boot works fine, until anaconda comes
into place throwing an exception. 

(I can post the full anacdump.txt). 

Note that this immediately happens after anaconda
notes that there are not any partitions on the 
hard disk where Linux is going to be installed. 

Version-Release number of selected component (if applicable):

Red Hat Linux 9. 

How reproducible:


Steps to Reproduce:
1. Install RH9 via kickstart and network boot (PXE).
2. Wait until anaconda tries to touch the hard disk.  
Actual results:
Anaconda throws an exception. 

Expected results:
Anaconda should install the system. 

Additional info:
When booting from original RH9 CD instead of
booting the kernel via PXE, we have no problem
installing the system via kickstart completely
using the same kickstart file.
Comment 1 Sven Paas 2004-01-29 12:25:44 EST
I'm sorry, the platform is of course i686. 
Comment 2 Jeremy Katz 2004-01-29 13:08:05 EST
Please attach the actual dump, I have no data to work from without it.
Comment 3 Sven Paas 2004-01-30 02:57:01 EST
Created attachment 97360 [details]

This anaconda's dump to diskette after throwing the exception.
Comment 4 Sven Paas 2004-01-30 08:18:06 EST

I found the part of the kickstart file that caused the

clearpart --all --drives=hda

This is obviously wrong, since there is no hda drive
on a DELL 2650, but an sda drive. 

But anaconda shouldn't throw an exception when the
kickstart file tries do touch a hard disk that 
doesnot exist. So it is IMHO still an error that 
should be fixed. 
Comment 5 Jeremy Katz 2004-01-30 11:10:44 EST
Improving kickstart's error handling is an RFE somewhere.  Right now,
referencing drives that don't exist is a definite "don't do that"
thing.  The exceptions are better now than they used to be although
distilling them and presenting them in a nice useful form to the user
is still to occur.

Note You need to log in before you can comment on or make changes to this bug.